cURL
curl --request GET \ --url https://api.cpln.io/org/{org}/group/{name} \ --header 'Authorization: <api-key>'
{ "id": "<string>", "name": "<string>", "kind": "<string>", "version": 123, "description": "<string>", "tags": {}, "created": "2023-11-07T05:31:56Z", "lastModified": "2023-11-07T05:31:56Z", "links": [ { "rel": "<string>", "href": "<string>" } ], "memberLinks": [ "<string>" ], "memberQuery": { "kind": "<string>", "context": {}, "spec": { "match": "all", "terms": [ { "op": "=", "property": "<string>", "rel": "<string>", "tag": "<string>", "value": "<string>" } ], "sort": { "by": "<string>", "order": "asc" } } }, "identityMatcher": { "expression": "<string>", "language": "jmespath" }, "origin": "default" }
Response will contain the requested group if the caller is authorized to view it
Service account key can be used as API keys
Success
64
250
Show child attributes
all
any
none
=
>
>=
<
<=
!=
~
exists
!exists
asc
desc
jmespath
javascript
synthetic
default
builtin